Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233556 - [kn_IN] GSUB's combinaing with additional dependent vowel U0CC6 are not rendering correctly
Summary: [kn_IN] GSUB's combinaing with additional dependent vowel U0CC6 are not rende...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-indic
Version: rawhide
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Rahul Bhalerao
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 07:26 UTC by Parag Nemade
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-30 07:17:18 UTC


Attachments (Terms of Use)
incorrect combinations with U0CC6 (deleted)
2007-03-23 07:34 UTC, Parag Nemade
no flags Details
correct combinations with U0CC6 (deleted)
2007-03-23 07:35 UTC, Parag Nemade
no flags Details
Fixed font file (deleted)
2007-03-23 10:03 UTC, Parag Nemade
no flags Details
Verified Image (deleted)
2007-04-30 07:16 UTC, A S Alam
no flags Details

Description Parag Nemade 2007-03-23 07:26:28 UTC
Description of problem:
Following rules are rendering incorrectly
U0C95+U0CCD+U0CB7+U0CC6 
U0C9C+U0CCD+U0C9E+U0CC6 
U0CA6+U0CCD+U0CA6+U0CC6 
U0CB2+U0CCD+U0CB2+U0CC6 

Version-Release number of selected component (if applicable):
fonts-kannada-2.0.13

How reproducible:
always

Steps to Reproduce:
1. start gedit and Enable SCIM, Choose RAW UNICODE
2. Type above ligature rules one by one
3. check out its rendering
  
Actual results:
as shown in attached image.

Expected results:
as shown in attached image

Additional info:

Comment 1 Parag Nemade 2007-03-23 07:34:27 UTC
Created attachment 150726 [details]
incorrect combinations with U0CC6

Comment 2 Parag Nemade 2007-03-23 07:35:23 UTC
Created attachment 150727 [details]
correct combinations with U0CC6

Comment 3 Parag Nemade 2007-03-23 10:03:04 UTC
Created attachment 150739 [details]
Fixed font file

Comment 4 Parag Nemade 2007-03-27 03:50:18 UTC
Fix is now built in fonts-kannada-2.1.5-1.fc7

Comment 5 A S Alam 2007-04-30 07:16:03 UTC
Created attachment 153768 [details]
Verified Image

Comment 6 A S Alam 2007-04-30 07:17:18 UTC
CLOSE:
tested with following package:
fonts-kannada-2.1.5-1.fc7


Note You need to log in before you can comment on or make changes to this bug.